org.apache.sysds.common

## Enum Builtins

- java.lang.Object
- - java.lang.Enum<Builtins>
  - - org.apache.sysds.common.Builtins

- All Implemented Interfaces:
    Serializable, Comparable<Builtins>

      public enum Builtins
      extends Enum<Builtins>

  Enum to represent all builtin functions in the default name space. Each function is either native or implemented by a DML script. In case of DML script, these functions are loaded during parsing. As always, user-defined DML-bodied functions take precedence over all builtin functions. To add a new builtin script function, simply add the definition here as well as a dml file in scripts/builtin with a matching name. On building SystemDS, these scripts are packaged into the jar as well.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ABS`
    `ABSTAIN`
    `ACOS`
    `ALS`
    `ALS_CG`
    `ALS_DS`
    `ALS_PREDICT`
    `ALS_TOPK_PREDICT`
    `ARIMA`
    `ASIN`
    `ATAN`
    `AUTODIFF`
    `AUTOENCODER2LAYER`
    `AVG_POOL`
    `AVG_POOL_BACKWARD`
    `BANDIT`
    `BATCH_NORM2D`
    `BATCH_NORM2D_BACKWARD`
    `BIASADD`
    `BIASMULT`
    `BITWAND`
    `BITWOR`
    `BITWSHIFTL`
    `BITWSHIFTR`
    `BITWXOR`
    `BIVAR`
    `CAST_AS_BOOLEAN`
    `CAST_AS_DOUBLE`
    `CAST_AS_FRAME`
    `CAST_AS_INT`
    `CAST_AS_MATRIX`
    `CAST_AS_SCALAR`
    `CBIND`
    `CDF`
    `CEIL`
    `CHOLESKY`
    `COLMAX`
    `COLMEAN`
    `COLMIN`
    `COLNAMES`
    `COLPROD`
    `COLSD`
    `COLSUM`
    `COLVAR`
    `COMPONENTS`
    `COMPRESS`
    `CONFUSIONMATRIX`
    `CONV2D`
    `CONV2D_BACKWARD_DATA`
    `CONV2D_BACKWARD_FILTER`
    `COR`
    `CORRECTTYPOS`
    `COS`
    `COSH`
    `COUNT_DISTINCT`
    `COUNT_DISTINCT_APPROX`
    `COV`
    `COX`
    `CSPLINE`
    `CSPLINE_CG`
    `CSPLINE_DS`
    `CUMMAX`
    `CUMMIN`
    `CUMPROD`
    `CUMSUM`
    `CUMSUMPROD`
    `CVLM`
    `DBSCAN`
    `DECISIONTREE`
    `DECOMPRESS`
    `DEEPWALK`
    `DENIALCONSTRAINTS`
    `DETECTSCHEMA`
    `DIAG`
    `DISCOVER_FD`
    `DISCOVER_MD`
    `DIST`
    `DMV`
    `DROP_INVALID_LENGTH`
    `DROP_INVALID_TYPE`
    `EIGEN`
    `EMA`
    `EVAL`
    `EXECUTE_PIPELINE`
    `EXISTS`
    `EXP`
    `FF_PREDICT`
    `FF_TRAIN`
    `FLOOR`
    `FRAME_SORT`
    `GARCH`
    `GAUSSIAN_CLASSIFIER`
    `GET_ACCURACY`
    `GLM`
    `GMM`
    `GMM_PREDICT`
    `GNMF`
    `GRID_SEARCH`
    `GROUPEDAGG`
    `HOSPITAL_RESIDENCY_MATCH`
    `HYPERBAND`
    `IFELSE`
    `IMG_BRIGHTNESS`
    `IMG_CROP`
    `IMG_CUTOUT`
    `IMG_INVERT`
    `IMG_MIRROR`
    `IMG_POSTERIZE`
    `IMG_ROTATE`
    `IMG_SAMPLE_PAIRING`
    `IMG_SHEAR`
    `IMG_TRANSFORM`
    `IMG_TRANSLATE`
    `IMPUTE_BY_MEAN`
    `IMPUTE_BY_MEDIAN`
    `IMPUTE_BY_MODE`
    `IMPUTE_FD`
    `INTERQUANTILE`
    `INTERSECT`
    `INVCDF`
    `INVERSE`
    `IQM`
    `ISINF`
    `ISNA`
    `ISNAN`
    `KM`
    `KMEANS`
    `KMEANSPREDICT`
    `KNN`
    `KNNBF`
    `L2SVM`
    `L2SVMPREDICT`
    `LASSO`
    `LENET_PREDICT`
    `LENET_TRAIN`
    `LENGTH`
    `LINEAGE`
    `LIST`
    `LISTNV`
    `LM`
    `LMCG`
    `LMDS`
    `LMPREDICT`
    `LOG`
    `LOGSUMEXP`
    `LOWER_TRI`
    `LSTM`
    `LSTM_BACKWARD`
    `LU`
    `MAP`
    `MATRIXPROFILE`
    `MAX`
    `MAX_POOL`
    `MAX_POOL_BACKWARD`
    `MEAN`
    `MEDIAN`
    `MICE`
    `MIN`
    `MOMENT`
    `MSVM`
    `MSVMPREDICT`
    `MULTILOGREG`
    `MULTILOGREGPREDICT`
    `NA_LOCF`
    `NAIVEBAYES`
    `NAIVEBAYESPREDICT`
    `NCOL`
    `NORMALIZE`
    `NROW`
    `ORDER`
    `OUTER`
    `OUTLIER`
    `OUTLIER_ARIMA`
    `OUTLIER_IQR`
    `OUTLIER_SD`
    `PARAMSERV`
    `PCA`
    `PCAINVERSE`
    `PCATRANSFORM`
    `PCHISQ`
    `PEXP`
    `PF`
    `PNMF`
    `PNORM`
    `PPCA`
    `PPRED`
    `PROD`
    `PT`
    `QCHISQ`
    `QEXP`
    `QF`
    `QNORM`
    `QR`
    `QT`
    `QUANTILE`
    `RANDOM_FOREST`
    `RANGE`
    `RBIND`
    `REMOVE`
    `REPLACE`
    `REV`
    `RMEMPTY`
    `ROUND`
    `ROWINDEXMAX`
    `ROWINDEXMIN`
    `ROWMAX`
    `ROWMEAN`
    `ROWMIN`
    `ROWPROD`
    `ROWSD`
    `ROWSUM`
    `ROWVAR`
    `SAMPLE`
    `SCALE`
    `SCALEAPPLY`
    `SD`
    `SELVARTHRESH`
    `SEQ`
    `SHERLOCK`
    `SHERLOCKPREDICT`
    `SHORTESTPATH`
    `SIGMOID`
    `SIGN`
    `SIN`
    `SINH`
    `SLICEFINDER`
    `SMOTE`
    `SOFTMAX`
    `SOLVE`
    `SPLIT`
    `SPLIT_BALANCED`
    `SQRT`
    `STABLE_MARRIAGE`
    `STATSNA`
    `STEPLM`
    `STRATSTATS`
    `SUM`
    `SVD`
    `TABLE`
    `TAN`
    `TANH`
    `TIME`
    `TO_ONE_HOT`
    `TOKENIZE`
    `TOMEKLINK`
    `TOPK_CLEANING`
    `TOSTRING`
    `TRACE`
    `TRANS`
    `TRANSFORMAPPLY`
    `TRANSFORMCOLMAP`
    `TRANSFORMDECODE`
    `TRANSFORMENCODE`
    `TRANSFORMMETA`
    `TSNE`
    `TYPEOF`
    `UNIVAR`
    `UPPER_TRI`
    `VAR`
    `VECTOR_TO_CSV`
    `WINSORIZE`
    `XDUMMY1`
    `XDUMMY2`
    `XGBOOST`
    `XGBOOSTPREDICT`
    `XGBOOSTPREDICT_CLASS`
    `XGBOOSTPREDICT_REG`
    `XOR`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `contains(String name, boolean script, boolean parameterized)`
    `static Builtins` | `get(String name)`
    `static Builtins` | `get(String name, boolean params)`
    `String` | `getAlias()`
    `static String` | `getFilePath(String name)`
    `static String` | `getInternalFName(String name, Types.DataType dt)`
    `String` | `getName()`
    `boolean` | `isMultiReturn()`
    `boolean` | `isParameterized()`
    `boolean` | `isScript()`
    `static Builtins` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Builtins[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ABSTAIN

          public static final Builtins ABSTAIN

    - #### ABS

          public static final Builtins ABS

    - #### ACOS

          public static final Builtins ACOS

    - #### ALS

          public static final Builtins ALS

    - #### ALS_CG

          public static final Builtins ALS_CG

    - #### ALS_DS

          public static final Builtins ALS_DS

    - #### ALS_PREDICT

          public static final Builtins ALS_PREDICT

    - #### ALS_TOPK_PREDICT

          public static final Builtins ALS_TOPK_PREDICT

    - #### ARIMA

          public static final Builtins ARIMA

    - #### ASIN

          public static final Builtins ASIN

    - #### ATAN

          public static final Builtins ATAN

    - #### AUTOENCODER2LAYER

          public static final Builtins AUTOENCODER2LAYER

    - #### AVG_POOL

          public static final Builtins AVG_POOL

    - #### AVG_POOL_BACKWARD

          public static final Builtins AVG_POOL_BACKWARD

    - #### BATCH_NORM2D

          public static final Builtins BATCH_NORM2D

    - #### BATCH_NORM2D_BACKWARD

          public static final Builtins BATCH_NORM2D_BACKWARD

    - #### BIASADD

          public static final Builtins BIASADD

    - #### BIASMULT

          public static final Builtins BIASMULT

    - #### BANDIT

          public static final Builtins BANDIT

    - #### BITWAND

          public static final Builtins BITWAND

    - #### BITWOR

          public static final Builtins BITWOR

    - #### BITWXOR

          public static final Builtins BITWXOR

    - #### BITWSHIFTL

          public static final Builtins BITWSHIFTL

    - #### BITWSHIFTR

          public static final Builtins BITWSHIFTR

    - #### BIVAR

          public static final Builtins BIVAR

    - #### CAST_AS_SCALAR

          public static final Builtins CAST_AS_SCALAR

    - #### CAST_AS_MATRIX

          public static final Builtins CAST_AS_MATRIX

    - #### CAST_AS_FRAME

          public static final Builtins CAST_AS_FRAME

    - #### CAST_AS_DOUBLE

          public static final Builtins CAST_AS_DOUBLE

    - #### CAST_AS_INT

          public static final Builtins CAST_AS_INT

    - #### CAST_AS_BOOLEAN

          public static final Builtins CAST_AS_BOOLEAN

    - #### CBIND

          public static final Builtins CBIND

    - #### CEIL

          public static final Builtins CEIL

    - #### CHOLESKY

          public static final Builtins CHOLESKY

    - #### COLMAX

          public static final Builtins COLMAX

    - #### COLMEAN

          public static final Builtins COLMEAN

    - #### COLMIN

          public static final Builtins COLMIN

    - #### COLNAMES

          public static final Builtins COLNAMES

    - #### COLPROD

          public static final Builtins COLPROD

    - #### COLSD

          public static final Builtins COLSD

    - #### COLSUM

          public static final Builtins COLSUM

    - #### COLVAR

          public static final Builtins COLVAR

    - #### COMPONENTS

          public static final Builtins COMPONENTS

    - #### COMPRESS

          public static final Builtins COMPRESS

    - #### CONFUSIONMATRIX

          public static final Builtins CONFUSIONMATRIX

    - #### CONV2D

          public static final Builtins CONV2D

    - #### CONV2D_BACKWARD_FILTER

          public static final Builtins CONV2D_BACKWARD_FILTER

    - #### CONV2D_BACKWARD_DATA

          public static final Builtins CONV2D_BACKWARD_DATA

    - #### COR

          public static final Builtins COR

    - #### CORRECTTYPOS

          public static final Builtins CORRECTTYPOS

    - #### COS

          public static final Builtins COS

    - #### COSH

          public static final Builtins COSH

    - #### COUNT_DISTINCT

          public static final Builtins COUNT_DISTINCT

    - #### COUNT_DISTINCT_APPROX

          public static final Builtins COUNT_DISTINCT_APPROX

    - #### COV

          public static final Builtins COV

    - #### COX

          public static final Builtins COX

    - #### CSPLINE

          public static final Builtins CSPLINE

    - #### CSPLINE_CG

          public static final Builtins CSPLINE_CG

    - #### CSPLINE_DS

          public static final Builtins CSPLINE_DS

    - #### CUMMAX

          public static final Builtins CUMMAX

    - #### CUMMIN

          public static final Builtins CUMMIN

    - #### CUMPROD

          public static final Builtins CUMPROD

    - #### CUMSUM

          public static final Builtins CUMSUM

    - #### CUMSUMPROD

          public static final Builtins CUMSUMPROD

    - #### DBSCAN

          public static final Builtins DBSCAN

    - #### DECISIONTREE

          public static final Builtins DECISIONTREE

    - #### DECOMPRESS

          public static final Builtins DECOMPRESS

    - #### DEEPWALK

          public static final Builtins DEEPWALK

    - #### DETECTSCHEMA

          public static final Builtins DETECTSCHEMA

    - #### DENIALCONSTRAINTS

          public static final Builtins DENIALCONSTRAINTS

    - #### DIAG

          public static final Builtins DIAG

    - #### DISCOVER_FD

          public static final Builtins DISCOVER_FD

    - #### DISCOVER_MD

          public static final Builtins DISCOVER_MD

    - #### DIST

          public static final Builtins DIST

    - #### DMV

          public static final Builtins DMV

    - #### DROP_INVALID_TYPE

          public static final Builtins DROP_INVALID_TYPE

    - #### DROP_INVALID_LENGTH

          public static final Builtins DROP_INVALID_LENGTH

    - #### EIGEN

          public static final Builtins EIGEN

    - #### EMA

          public static final Builtins EMA

    - #### EXISTS

          public static final Builtins EXISTS

    - #### EXECUTE_PIPELINE

          public static final Builtins EXECUTE_PIPELINE

    - #### EXP

          public static final Builtins EXP

    - #### EVAL

          public static final Builtins EVAL

    - #### FF_TRAIN

          public static final Builtins FF_TRAIN

    - #### FF_PREDICT

          public static final Builtins FF_PREDICT

    - #### FLOOR

          public static final Builtins FLOOR

    - #### FRAME_SORT

          public static final Builtins FRAME_SORT

    - #### GARCH

          public static final Builtins GARCH

    - #### GAUSSIAN_CLASSIFIER

          public static final Builtins GAUSSIAN_CLASSIFIER

    - #### GET_ACCURACY

          public static final Builtins GET_ACCURACY

    - #### GLM

          public static final Builtins GLM

    - #### GMM

          public static final Builtins GMM

    - #### GMM_PREDICT

          public static final Builtins GMM_PREDICT

    - #### GNMF

          public static final Builtins GNMF

    - #### GRID_SEARCH

          public static final Builtins GRID_SEARCH

    - #### TOPK_CLEANING

          public static final Builtins TOPK_CLEANING

    - #### HOSPITAL_RESIDENCY_MATCH

          public static final Builtins HOSPITAL_RESIDENCY_MATCH

    - #### HYPERBAND

          public static final Builtins HYPERBAND

    - #### IFELSE

          public static final Builtins IFELSE

    - #### IMG_MIRROR

          public static final Builtins IMG_MIRROR

    - #### IMG_BRIGHTNESS

          public static final Builtins IMG_BRIGHTNESS

    - #### IMG_CROP

          public static final Builtins IMG_CROP

    - #### IMG_TRANSFORM

          public static final Builtins IMG_TRANSFORM

    - #### IMG_TRANSLATE

          public static final Builtins IMG_TRANSLATE

    - #### IMG_ROTATE

          public static final Builtins IMG_ROTATE

    - #### IMG_SHEAR

          public static final Builtins IMG_SHEAR

    - #### IMG_CUTOUT

          public static final Builtins IMG_CUTOUT

    - #### IMG_SAMPLE_PAIRING

          public static final Builtins IMG_SAMPLE_PAIRING

    - #### IMG_INVERT

          public static final Builtins IMG_INVERT

    - #### IMG_POSTERIZE

          public static final Builtins IMG_POSTERIZE

    - #### IMPUTE_BY_MEAN

          public static final Builtins IMPUTE_BY_MEAN

    - #### IMPUTE_BY_MEDIAN

          public static final Builtins IMPUTE_BY_MEDIAN

    - #### IMPUTE_BY_MODE

          public static final Builtins IMPUTE_BY_MODE

    - #### IMPUTE_FD

          public static final Builtins IMPUTE_FD

    - #### INTERQUANTILE

          public static final Builtins INTERQUANTILE

    - #### INTERSECT

          public static final Builtins INTERSECT

    - #### INVERSE

          public static final Builtins INVERSE

    - #### IQM

          public static final Builtins IQM

    - #### ISNA

          public static final Builtins ISNA

    - #### ISNAN

          public static final Builtins ISNAN

    - #### ISINF

          public static final Builtins ISINF

    - #### KM

          public static final Builtins KM

    - #### KMEANS

          public static final Builtins KMEANS

    - #### KMEANSPREDICT

          public static final Builtins KMEANSPREDICT

    - #### KNNBF

          public static final Builtins KNNBF

    - #### KNN

          public static final Builtins KNN

    - #### L2SVM

          public static final Builtins L2SVM

    - #### L2SVMPREDICT

          public static final Builtins L2SVMPREDICT

    - #### LASSO

          public static final Builtins LASSO

    - #### LENET_TRAIN

          public static final Builtins LENET_TRAIN

    - #### LENET_PREDICT

          public static final Builtins LENET_PREDICT

    - #### LENGTH

          public static final Builtins LENGTH

    - #### LINEAGE

          public static final Builtins LINEAGE

    - #### LIST

          public static final Builtins LIST

    - #### LM

          public static final Builtins LM

    - #### LMCG

          public static final Builtins LMCG

    - #### LMDS

          public static final Builtins LMDS

    - #### LMPREDICT

          public static final Builtins LMPREDICT

    - #### LOG

          public static final Builtins LOG

    - #### LOGSUMEXP

          public static final Builtins LOGSUMEXP

    - #### LSTM

          public static final Builtins LSTM

    - #### LSTM_BACKWARD

          public static final Builtins LSTM_BACKWARD

    - #### LU

          public static final Builtins LU

    - #### MAP

          public static final Builtins MAP

    - #### MATRIXPROFILE

          public static final Builtins MATRIXPROFILE

    - #### MAX

          public static final Builtins MAX

    - #### MAX_POOL

          public static final Builtins MAX_POOL

    - #### MAX_POOL_BACKWARD

          public static final Builtins MAX_POOL_BACKWARD

    - #### MEAN

          public static final Builtins MEAN

    - #### MEDIAN

          public static final Builtins MEDIAN

    - #### MICE

          public static final Builtins MICE

    - #### MIN

          public static final Builtins MIN

    - #### MOMENT

          public static final Builtins MOMENT

    - #### MSVM

          public static final Builtins MSVM

    - #### MSVMPREDICT

          public static final Builtins MSVMPREDICT

    - #### MULTILOGREG

          public static final Builtins MULTILOGREG

    - #### MULTILOGREGPREDICT

          public static final Builtins MULTILOGREGPREDICT

    - #### NA_LOCF

          public static final Builtins NA_LOCF

    - #### NAIVEBAYES

          public static final Builtins NAIVEBAYES

    - #### NAIVEBAYESPREDICT

          public static final Builtins NAIVEBAYESPREDICT

    - #### NCOL

          public static final Builtins NCOL

    - #### NORMALIZE

          public static final Builtins NORMALIZE

    - #### NROW

          public static final Builtins NROW

    - #### OUTER

          public static final Builtins OUTER

    - #### OUTLIER

          public static final Builtins OUTLIER

    - #### OUTLIER_ARIMA

          public static final Builtins OUTLIER_ARIMA

    - #### OUTLIER_IQR

          public static final Builtins OUTLIER_IQR

    - #### OUTLIER_SD

          public static final Builtins OUTLIER_SD

    - #### PCA

          public static final Builtins PCA

    - #### PCAINVERSE

          public static final Builtins PCAINVERSE

    - #### PCATRANSFORM

          public static final Builtins PCATRANSFORM

    - #### PNMF

          public static final Builtins PNMF

    - #### PPCA

          public static final Builtins PPCA

    - #### PPRED

          public static final Builtins PPRED

    - #### PROD

          public static final Builtins PROD

    - #### QR

          public static final Builtins QR

    - #### QUANTILE

          public static final Builtins QUANTILE

    - #### RANDOM_FOREST

          public static final Builtins RANDOM_FOREST

    - #### RANGE

          public static final Builtins RANGE

    - #### RBIND

          public static final Builtins RBIND

    - #### REMOVE

          public static final Builtins REMOVE

    - #### REV

          public static final Builtins REV

    - #### ROUND

          public static final Builtins ROUND

    - #### ROWINDEXMAX

          public static final Builtins ROWINDEXMAX

    - #### ROWINDEXMIN

          public static final Builtins ROWINDEXMIN

    - #### ROWMAX

          public static final Builtins ROWMAX

    - #### ROWMEAN

          public static final Builtins ROWMEAN

    - #### ROWMIN

          public static final Builtins ROWMIN

    - #### ROWPROD

          public static final Builtins ROWPROD

    - #### ROWSD

          public static final Builtins ROWSD

    - #### ROWSUM

          public static final Builtins ROWSUM

    - #### ROWVAR

          public static final Builtins ROWVAR

    - #### SAMPLE

          public static final Builtins SAMPLE

    - #### SD

          public static final Builtins SD

    - #### SELVARTHRESH

          public static final Builtins SELVARTHRESH

    - #### SEQ

          public static final Builtins SEQ

    - #### SHERLOCK

          public static final Builtins SHERLOCK

    - #### SHERLOCKPREDICT

          public static final Builtins SHERLOCKPREDICT

    - #### SHORTESTPATH

          public static final Builtins SHORTESTPATH

    - #### SIGMOID

          public static final Builtins SIGMOID

    - #### SIGN

          public static final Builtins SIGN

    - #### SIN

          public static final Builtins SIN

    - #### SINH

          public static final Builtins SINH

    - #### SLICEFINDER

          public static final Builtins SLICEFINDER

    - #### SMOTE

          public static final Builtins SMOTE

    - #### SOFTMAX

          public static final Builtins SOFTMAX

    - #### SOLVE

          public static final Builtins SOLVE

    - #### SPLIT

          public static final Builtins SPLIT

    - #### SPLIT_BALANCED

          public static final Builtins SPLIT_BALANCED

    - #### STABLE_MARRIAGE

          public static final Builtins STABLE_MARRIAGE

    - #### STATSNA

          public static final Builtins STATSNA

    - #### STRATSTATS

          public static final Builtins STRATSTATS

    - #### STEPLM

          public static final Builtins STEPLM

    - #### SQRT

          public static final Builtins SQRT

    - #### SUM

          public static final Builtins SUM

    - #### SVD

          public static final Builtins SVD

    - #### TABLE

          public static final Builtins TABLE

    - #### TAN

          public static final Builtins TAN

    - #### TANH

          public static final Builtins TANH

    - #### TO_ONE_HOT

          public static final Builtins TO_ONE_HOT

    - #### TOMEKLINK

          public static final Builtins TOMEKLINK

    - #### TRACE

          public static final Builtins TRACE

    - #### TRANS

          public static final Builtins TRANS

    - #### TSNE

          public static final Builtins TSNE

    - #### TYPEOF

          public static final Builtins TYPEOF

    - #### UNIVAR

          public static final Builtins UNIVAR

    - #### VAR

          public static final Builtins VAR

    - #### VECTOR_TO_CSV

          public static final Builtins VECTOR_TO_CSV

    - #### WINSORIZE

          public static final Builtins WINSORIZE

    - #### XGBOOST

          public static final Builtins XGBOOST

    - #### XGBOOSTPREDICT

          public static final Builtins XGBOOSTPREDICT

    - #### XGBOOSTPREDICT_REG

          public static final Builtins XGBOOSTPREDICT_REG

    - #### XGBOOSTPREDICT_CLASS

          public static final Builtins XGBOOSTPREDICT_CLASS

    - #### XOR

          public static final Builtins XOR

    - #### AUTODIFF

          public static final Builtins AUTODIFF

    - #### CDF

          public static final Builtins CDF

    - #### CVLM

          public static final Builtins CVLM

    - #### GROUPEDAGG

          public static final Builtins GROUPEDAGG

    - #### INVCDF

          public static final Builtins INVCDF

    - #### LISTNV

          public static final Builtins LISTNV

    - #### LOWER_TRI

          public static final Builtins LOWER_TRI

    - #### ORDER

          public static final Builtins ORDER

    - #### PARAMSERV

          public static final Builtins PARAMSERV

    - #### PCHISQ

          public static final Builtins PCHISQ

    - #### PEXP

          public static final Builtins PEXP

    - #### PF

          public static final Builtins PF

    - #### PNORM

          public static final Builtins PNORM

    - #### PT

          public static final Builtins PT

    - #### QCHISQ

          public static final Builtins QCHISQ

    - #### QEXP

          public static final Builtins QEXP

    - #### QF

          public static final Builtins QF

    - #### QNORM

          public static final Builtins QNORM

    - #### QT

          public static final Builtins QT

    - #### REPLACE

          public static final Builtins REPLACE

    - #### RMEMPTY

          public static final Builtins RMEMPTY

    - #### SCALE

          public static final Builtins SCALE

    - #### SCALEAPPLY

          public static final Builtins SCALEAPPLY

    - #### TIME

          public static final Builtins TIME

    - #### TOKENIZE

          public static final Builtins TOKENIZE

    - #### TOSTRING

          public static final Builtins TOSTRING

    - #### TRANSFORMAPPLY

          public static final Builtins TRANSFORMAPPLY

    - #### TRANSFORMCOLMAP

          public static final Builtins TRANSFORMCOLMAP

    - #### TRANSFORMDECODE

          public static final Builtins TRANSFORMDECODE

    - #### TRANSFORMENCODE

          public static final Builtins TRANSFORMENCODE

    - #### TRANSFORMMETA

          public static final Builtins TRANSFORMMETA

    - #### UPPER_TRI

          public static final Builtins UPPER_TRI

    - #### XDUMMY1

          public static final Builtins XDUMMY1

    - #### XDUMMY2

          public static final Builtins XDUMMY2

  - ### Method Detail

    - #### values

          public static Builtins[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Builtins c : Builtins.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Builtins valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getName

          public String getName()

    - #### getAlias

          public String getAlias()

    - #### isScript

          public boolean isScript()

    - #### isParameterized

          public boolean isParameterized()

    - #### isMultiReturn

          public boolean isMultiReturn()

    - #### contains

          public static boolean contains(String name,
                                         boolean script,
                                         boolean parameterized)

    - #### get

          public static Builtins get(String name)

    - #### get

          public static Builtins get(String name,
                                     boolean params)

    - #### getFilePath

          public static String getFilePath(String name)

    - #### getInternalFName

          public static String getInternalFName(String name,
                                                Types.DataType dt)

Copyright © 2021 The Apache Software Foundation. All rights reserved.